#pragma once

#include "BtnST.h"
#include "ShadeButtonST.h"
#include "ResourceServerST.h"
#include "FileDialogST.h"
#include "Icons.h"

class CDlgFileDialogST : public CDialog
{
public:
	CDlgFileDialogST(CWnd* pParent, CResourceServerST* m_pIcons);

	//{{AFX_DATA(CDlgFileDialogST)
	enum { IDD = IDD_FILEDIALOGST };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgFileDialogST)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL

protected:

	// Generated message map functions
	//{{AFX_MSG(CDlgFileDialogST)
	virtual BOOL OnInitDialog();
	afx_msg void OnOpen();
	afx_msg void OnSave();
	afx_msg void OnBrowse();
	//}}AFX_MSG

private:
	void OnCancel();
	void OnOK();

	CResourceServerST*	m_pIconsDLL;

	CShadeButtonST	m_btnOpen;
	CShadeButtonST	m_btnSave;
	CShadeButtonST	m_btnBrowse;

	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.
